#!/usr/pkg/bin/bash

source "/home/fc03cf/public_gopher/wrap.sh"
mode=0

w "I added a section on this gopher hole for poetry dedicated to the color pink! Christina Rosetti's lovely poem \"Color\" starts things off."
n
w "I've also tweaked my scripts a bit that I use to help me write this content in the lovely pink color. I have a few functions that make everything really easy. Let's look at those:"
n
f "  [l] - links"
f "      - takes a type, description, and path"
f "      - creates a pink link"
n
f "  [w] - wrap text"
f "      - takes a string of any length" 
f "      - wraps it to 67 col and makes each line pink" 
n
f "  [f] - fixed text"
f "      - takes a string of any length" 
f "      - no wrapping, use existing line endings, makes pink"
f "      - preserves white space, like this bullet-list"
f "      - good for poetry" 
n
f "  [n] - new line"
f "      - adds a blank line" 
n
w "That's pretty much it. There's a helper to just make text pink, but it's used for internal operations. I guess I could share the script at some point... maybe by wrapping it in a \"f\" operation! Oooh, I'll think on that."
w "Otherwise, I just make a new dir for each entry I want, whether type 0 or type 1, and drop in an index.cgi. It's a bash script that sources my helper script and lets me write with my stupid little wrapper language. As I mentioned last time, if I drop in a mode=0 up top it will output plain text, otherwise it'll output for a gophermap. Sexy, right?"
