#!/usr/pkg/bin/bash

source "/home/fc03cf/public_gopher/wrap.sh"

h "~fc03cf - the pinkest hole in gopherspace"
n
h "~~pages~~"
l 1 "poetry" "/~fc03cf/poetry"
l 1 "colors" "/~fc03cf/colors"
n
h "~~phlog~~"
for d in $(ls -d /home/fc03cf/public_gopher/phlog/*/ | sort -r | head -n 5); do
	link="$(basename $d)"
	l 0 $link "/~fc03cf/phlog/${link}"
done
n
h "~~about colors~~"
w "Seeing a bunch of crazy characters instead of pink text? You might be using a web proxy or a gopher client that doesn't support terminal escape codes."
n
h "~~working clients~~"
l "h" "VF-1" "https://github.com/solderpunk/VF-1"
l "h" "Bombadillo" "https://rawtext.club/~sloum/bombadillo.html"
l "h" "cgo" "https://github.com/kieselsteini/cgo"
